Authorize Tool Action
Authorize Tool Action. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Authorize Tool Action. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/ocelot.authorizeToolAction" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "toolName": "string" }'{ "result": { "data": { "allowed": true, "kind": "permission_denied", "reason": "string", "error": "string", "yoloMode": true, "requiresConfirmation": true, "quotaWeight": 0, "executionToken": "string", "completed": true, "released": true } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Create Organization Logo Upload Url POST
Create Organization Logo Upload Url. This POST operation is exposed from the auth router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Complete Tool Action POST
Complete Tool Action. This POST operation is exposed from the ocelot router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.